package zero1hd.polyjet.ui.stages;

import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.graphics.Color;
import com.badlogic.gdx.graphics.Texture;
import com.badlogic.gdx.scenes.scene2d.InputEvent;
import com.badlogic.gdx.scenes.scene2d.Stage;
import com.badlogic.gdx.scenes.scene2d.actions.Actions;
import com.badlogic.gdx.scenes.scene2d.ui.Image;
import com.badlogic.gdx.scenes.scene2d.ui.Label;
import com.badlogic.gdx.scenes.scene2d.utils.ClickListener;

import zero1hd.polyjet.Polyjet;
import zero1hd.polyjet.maps.RhythmMap;

public class AnalysisResults extends Stage {
	Label DR;
	Image circle1;
	Image circle2;
	Label proceed;
	RhythmMap rhythmMap;
	public boolean next;
	
	public AnalysisResults(Polyjet core, RhythmMap rhythmMap) {
		this.rhythmMap = rhythmMap;
		this.DR = new Label("Ready?", core.defaultSkin, "large-font", Color.WHITE);
		this.DR.setPosition(Gdx.graphics.getWidth()/2 - this.DR.getWidth()/2, Gdx.graphics.getHeight()/2 - this.DR.getHeight()/2);
		proceed = new Label("Waiting for user input...", core.defaultSkin, "small-font", Color.WHITE);

		proceed.setPosition((Gdx.graphics.getWidth()-proceed.getWidth())/2, Gdx.graphics.getHeight()-proceed.getHeight()-20);
		proceed.addAction(Actions.forever(Actions.sequence(Actions.alpha(0.25f, 0.75f), Actions.alpha(1f, 0.75f))));
		
		circle1 = new Image(core.assetManager.get("circle.png", Texture.class));
		circle1.setPosition(0, 0);
		circle2 = new Image(core.assetManager.get("circle.png", Texture.class));
		circle2.setPosition(Gdx.graphics.getWidth()-circle2.getWidth(), Gdx.graphics.getHeight()-circle2.getHeight());
		addActor(circle1);
		addActor(circle2);
		addActor(this.DR);
		addActor(proceed);
		
		addListener(new ClickListener() {
			@Override
			public void clicked(InputEvent event, float x, float y) {
				next = true;
				super.clicked(event, x, y);
			}
		});
		
	}
	
	@Override
	public void act(float delta) {
		super.act(delta);
		
		//TODO set text to data difficulty
	}
	
	
	@Override
	public void draw() {
		// TODO Auto-generated method stub
		super.draw();
	}
}
