package zero1hd.wavedecoder;

import java.io.IOException;
import java.security.InvalidParameterException;

public class WavDecoder {
	private WavInfo initialData;
	
	public void setAudioFile(WavInfo info) throws InvalidParameterException, IOException {
		initialData = info;
		initialData.initDataStream();
		initialData.getHeaderInfo();
	}
	public int readSamples(float[] samples) {
		int samplesRead = 0;
		
		for (int i = 0; i < samples.length; i++) {
			try {
				
				int currentSample = 0;
				for (int channel = 0; channel < initialData.getChannels(); channel++) {
					currentSample += initialData.readLittleEndianShort();
				}
				currentSample /= initialData.getChannels()*Short.MAX_VALUE+1;
				samples[i] = currentSample;
				samplesRead++;
			} catch (IOException e) {
				try {
					initialData.closeStreams();
				} catch (IOException e1) {
					e1.printStackTrace();
				}
				break;
			}
		}
		
		return samplesRead;
	}
	
}
